Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs | Enumerations
generator.hpp File Reference

## Classes
struct | ranges::experimental::coroutine_owner< Promise >
struct | ranges::experimental::coroutine_owner< Promise >
class | ranges::experimental::enable_coroutine_owner
struct | ranges::experimental::generator< Reference, Value >
struct | ranges::experimental::sized_generator< Reference, Value >
struct | ranges::experimental::sized_generator< Reference, Value >

## Typedefs
using | ranges::experimental::generator_size_t = std::size_t

## Enumerations
enum | generator_size : generator_size_t { invalid = ~generator_size_t(0) }